// Intro -------------------- 

.sec-intro {
    position: relative;
    padding-top: 20px;
    padding-bottom: 60px;

    @include text-18();
    z-index: 1;
    
    .btn {
        margin-top: 36px;
    }

    h1 {
        margin-bottom: 30px;
    }

    .bold {
        display: flex;
        font-size: 18px;
        margin: 4em 0;
        a {
            font-weight: bold;
            text-align: center;
            flex: 1;
            min-width: 50%;
        }
        p {
            flex: 2;
        }
        .pdf_icon {
            max-width: 20px;
            margin: 5px 5px 0 0;
        }
        img {
            max-width: 130px;
        }
    }

    @media(min-width: $lg) {
        padding: 80px 0 70px;
        font-size: 16px;
    }

    @media(min-width: $xl) {
        padding: 100px 0 95px;
    }

}

// Cards -------------------- 

.sec-cards {
    padding-bottom: 60px;
    @media(min-width: $lg) {
        padding-bottom: 100px;
    }
}

.sec-cards__filter {
    margin-bottom: 24px;
    border-bottom: 1px solid rgba(#fff, 0.1);
    input {
        display: none;
    }
    .search-input {
        input {
            display: block;
        }
    }
    .btn {
        margin: 0 16px 16px 0;
        border-radius: 30px;

        img {
            display: block;
            margin-right: 8px;
        }
    }

    .filter-nets {
        margin-bottom: 24px;
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        justify-content: flex-start;

        .filter-tag.first .btn {
            min-width: 100px;
        }

        .filter-tag.last .btn {
            font-size: 1.33em;
            padding: 0.1em 0.8em 0;
            margin-right: 0;
            color: $green1;
        }
    }
    .filter-tech {
        display: flex;
        align-items: center;
        height: 100%;
        margin-bottom: 3.3em;
    }
    .search-input {
        display: flex;
        align-items: center;
        height: 100%;
    }
    .cards-total {
        display: flex;
        align-items: center;
        padding: 2em 0;
        font-weight: bold;
        span {
            color: $green1;
        }
    }
    @media(min-width: $lg) {
        margin-bottom: 40px;
    }
    @media(max-width: $max-sm) {
        .btn {
            margin: 0 12px 12px 0;
        }
    }
}

.sec-cards__item {
    margin-bottom: 30px;
    position: relative;
    background-color: $gray;
    height: 382px;
    border-radius: 20px;
    border: 1px solid transparent;
    transition: border-color 0.3s ease, box-shadow 0.3 ease;
    padding-top: 24px;
    text-align: center;
    cursor: pointer;

    &:hover {
        border-color: $green2;
        box-shadow: 0px 0px 30px rgba(102, 253, 208, 0.4);
        .tag-status {
            opacity: 1;
        }
    }

    .tag-status {
        position: absolute;
        top: 12px;
        right: 12px;
        opacity: 0.8;
        transition: opacity 0.3s ease;
    }

    .img {
        width: 162px;
        height: 162px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0 auto 24px; 
        overflow: hidden;
        border-radius: 50%;
        padding: 20px;
        border: 10px solid $black;
        
        &.white {
            background-color: #fff;
        }
        &.black {
            background-color: $black;

        }
    }

    .tag {
        margin: 0 4px;
    }
    .info {
        padding: 0 24px;
    }
    .name {
        font-weight: 700;
        font-size: 24px;
        margin-bottom: 24px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .nets {
        margin-bottom: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        img {
            display: block;
        }
        span {
            opacity: 0.6;
            margin: 0 4px;
        }
    }
}


//- Backgounds 


.sec-bg {
    display: block;
    position: absolute;
    z-index: -1;
    opacity: 0.6;
    
    &.bg-left {
        left: 0;
    }

    &.bg-right {
        right: 0;
    }

    img {
        display: block;
    }
}

.sec-intro {
    .bg-left {
        top: 40px;
    } 
    .bg-right {
        top: 0;
        transform: translate(10%, -35%);
    }
}


.sec-form {
    .sec-bg {
        bottom: -50px;
        opacity: 0.4;
    } 
}


// Form --------------------

.sec-form, .sec-video {
    position: relative;
    padding: 50px 0;
    z-index: 1;
    h2 {
        margin-bottom: 20px;
    }

    @media(min-width: $lg) {
        padding: 70px 0;
        h2 {
            margin-bottom: 30px;
            font-size: 48px;
        }
    }

    @media(min-width: $xl) {
        padding: 100px 0 100px;
    }
}

.form__socials {
    margin-top: 60px;
    .socials {
        flex-wrap: wrap;
        margin-left: -6px;
        li {
            padding: 0 6px 12px;
            img {
                width: 35px;
                height: 35px;
            }
        }
    }

    @media(min-width: $xl) {
        margin-top: 100px;
        .socials li img {
            width: 40px;
            height: 40px;
        }
    }
}

.sec-digests {
    position: relative;
    padding-top: 20px;
    padding-bottom: 60px;

    @include text-18();
    z-index: 1;
    
    .btn {
        margin-top: 36px;
        font-weight: 300;
        font-size: 16px;
        height: 36px;
        padding: 8px 16px 6px 14px;
        border-radius: 8px;
        img {
            margin-right: 10px;
        }    
        @media(max-width: $max-sm) {
            margin-top: 60px;
        }
    }

    h1 {
        margin-bottom: 30px;
        @media(max-width: $max-sm) {
            margin-top: 30px;
        }
    }

    .digest-item-wrapper {

        @media(max-width: $max-sm) {
            padding-bottom: 3em;
        }

        .digest-item {
            
            display: flex;
            text-decoration: none;

            @media(max-width: $max-sm) {
                display: block;
            }
                
            &:hover {
                opacity: 80%;
            }
            
            .digest-img {

                flex: 1;
                text-align: center;
                align-content: center;
                
                img {
                    max-width: 182px;

                    @media(max-width: $max-sm) {
                        max-width: 65%;
                    }
        
                }
                
                &::before {
                    content: "PDF";
                    font-weight: 700;
                    font-size: 13px;
                    color: white;
                    text-decoration: none;
                    font-weight: bold;
                    background-color: #D84747;
                    border-radius: 4px;
                    padding: 2px 6px 2px 6px;
                    position: absolute;
                    top: -0.9em;
                    left: 10.6em;
                }

            }

            .digest-desc {
                flex: 2;
                margin: 0 0 0 1.5em;

                @media(max-width: $max-sm) {
                    margin: 0 1.5em;

                    p {
                        text-indent: 1em;
                    }
                }

            }
            
            .digest-title {
                font-size: 20px;

                strong {
                    font-weight: bold;
                }

                @media(max-width: $max-sm) {
                    text-indent: 0 !important;
                    text-align: center;
                    padding-top: 0.5em;
                }

            }
            
            .digest-new {
                position: absolute;
                background: $grad;
                color: $black;
                text-transform: uppercase;
                font-size: 12px;
                font-weight: 700;
                border-radius: 30px;
                padding: 5px 8px 3px 8px;
                margin-left: 1em;
            }

        }

        .download_icon {
            display: none;
            position: absolute;
            width: 48px;
            height: 48px;            
            bottom: 48px;
            left: 80px;
            @media(max-width: $max-sm) {
                bottom: 48%;
                left: 45%;
            }

        }

        &:hover {
            .download_icon {
                display: block;
            }
        }

    }

    @media(min-width: $lg) {
        padding: 80px 0 70px;
        font-size: 16px;
    }

    @media(min-width: $xl) {
        padding: 30px 0 95px;
    }

}

.sec-project {

    padding: 50px 0 95px;

    h1 {
        font-size: 24px;
        margin: 0.5em 0 2em;
        span {
            
            color: #ACBEC0;
            font-weight: 400;
        }
    }

    h2 {
        font-size: 32px;
        margin-bottom: 0.2em;
        display: flex;
        align-items: center;
    }

    .btn {
        margin-top: 0;
    }

    .back-link {
        font-weight: 300;
        font-size: 16px;
        height: 36px;
        padding: 8px 16px;
        img {
            margin-right: 10px;
        }
    }

    .external-link svg {
        fill: #fff;
        display: inline-block;
        height: 20px;
        margin-top: -8px;
        opacity: .8;
        vertical-align: middle;
        width: 20px;
    }

    .modal--content {
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
        border-top: 1px solid rgba(255, 255, 255, 0.1);
    }

    .m-item__header {
        padding: 26px 0 0;
        .header-col {
            padding: 0;
        }
        .img {
            border: none;
        }
        .token-name {
            font-weight: 700;
        }
        .heading {
            color: #acbec0;
            margin-top: 14px;
        }
        .tags {
            padding-top: 8px;   
        }
        .tag {
            font-size: 12px;
            font-weight: 700;
            margin-left: 4px;
        }
        @media (min-width: 992px) {
            .info-right {
                text-align: right;
            }
        }                
    }

    .m-item__info {
        .item__desc {
            padding: 4px 4px 16px 4px;
        }
    }

    .m-item__nets {
        margin-bottom: 10px;
        .item__net {
            margin: 0 15px 10px 0;
        }
    }

    .m-item__tags {
        margin-bottom: 12px;
        .item__tag {
            margin: 0 0 10px 15px;
        }
        .item__hashtag {
            border-radius: 0;
            background: none;
            color: #51EEDA;
            font-size: 16px;
            font-weight: 400;
            padding-left: 1px;
            margin: 0 15px 10px 0;
            display: inline-flex;
            &::before {
                content: "#";
            }
        }
    }

    .m-item__socials {
        margin: 0 0 30px 0;
    }

    .socials{ 
        li {
            padding-right: 8px;
        }
        @media (min-width: 1300px) {
            img {
                height: 32px;
                width: 32px;
            }    
        }    
    }

    article {
        p:first-child {
            font-weight: 700;
        }
    }

    .project-cover {
        background-color: $gray2;
        border-radius: 15px;
        min-height: 335px;
        margin-top: 50px;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }

    .similar-projects {
        position: absolute;
        top: 50%;
        min-width: 357px;
        min-height: 200px;
        background-color: $gray;
        border-radius: 10px;
        padding: 30px 25px 10px;

        h3 {
            font-size: 20px;
            margin: 0 0 0.5em;
        }
    
        .similar-item {
            font-size: 18px;
            font-weight: 700;
            color: $gray3;
            display: flex;
            align-items: center;
            min-height: 50px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
            padding: 15px 0;
            text-decoration: none;

            img {
                max-width: 46px;
                margin: 0 18px 0 0;
            }

            &:last-child {
                border-bottom: none;
            }

            &:hover {
                color: #ffffff;
            }
        }
    }
}
